Package org.apache.catalina.tribes.membership

## Interface StaticMembershipServiceMBean

All Known Implementing Classes:
  `StaticMembershipService`

    public interface StaticMembershipServiceMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`Member` `findMemberByName​(java.lang.String name)`
`int` `getConnectTimeout()`
`long` `getExpirationTime()`
`java.lang.String[]` `getMembersByName()`
`long` `getPingInterval()`
`java.util.Properties` `getProperties()`
`long` `getRpcTimeout()`
`boolean` `getUseThread()`
`boolean` `hasMembers()`

### Method Detail

#### getExpirationTime

    long getExpirationTime()

#### getConnectTimeout

    int getConnectTimeout()

#### getRpcTimeout

    long getRpcTimeout()

#### getUseThread

    boolean getUseThread()

#### getPingInterval

    long getPingInterval()

#### getProperties

    java.util.Properties getProperties()

#### hasMembers

    boolean hasMembers()

#### getMembersByName

    java.lang.String[] getMembersByName()

#### findMemberByName

    Member findMemberByName​(java.lang.String name)